org.faceless.pdf2.viewer2.feature

## Class KeyStoreSignatureProvider.X509SignatureState

- java.lang.Object
- - org.faceless.pdf2.viewer2.SignatureProvider.SignatureState
  - - org.faceless.pdf2.viewer2.feature.KeyStoreSignatureProvider.X509SignatureState

- Enclosing class:
    KeyStoreSignatureProvider

      public class KeyStoreSignatureProvider.X509SignatureState
      extends SignatureProvider.SignatureState

  A subclass of SignatureState that references an X.509 Certificate. This class is used internally by the KeyStoreSignatureProvider and there's no need to reference it directly unless you're extending it.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `X509SignatureState(FormSignature sig, Boolean validity, String reason, boolean alteredsince, Exception exception, X509Certificate cert)` Create a new X509SignatureState

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `X509Certificate` | `getCertificate()` Return the X.509 Certificate from the SignatureState

    - ### Methods inherited from class org.faceless.pdf2.viewer2.SignatureProvider.SignatureState

      `getException, getIcon, getReason, getSignature, getSignatureProvider, getValidity, isAlteredSince`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### X509SignatureState

          public X509SignatureState(FormSignature sig,
                                    Boolean validity,
                                    String reason,
                                    boolean alteredsince,
                                    Exception exception,
                                    X509Certificate cert)

      Create a new X509SignatureState
      Parameters:
        `sig` - the signature
        `validity` - `Boolean.TRUE`, `Boolean.FALSE` or null to indicate the signature is valid, invalid or hasn't be validated
        `reason` - the reason for signing
        `alteredsince` - whether the PDF has been altered since the signature was applied
        `exception` - the exception encountered during verification, or null if it succeeded
        `cert` - the X.509 Certificate from the signature

  - ### Method Detail

    - #### getCertificate

          public X509Certificate getCertificate()

      Return the X.509 Certificate from the SignatureState

Copyright © 2001-2015 Big Faceless Organization